Bug 817053 - [abrt] kernel: BUG: soft lockup - CPU#3 stuck for 22s! [kworker/3:1:3092]
[abrt] kernel: BUG: soft lockup - CPU#3 stuck for 22s! [kworker/3:1:3092]
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
16
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
abrt_hash:6fe2268d320b3a4f48322b98f1c...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-27 10:14 EDT by Sunil
Modified: 2012-05-07 15:25 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-05-07 15:25:35 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Sunil 2012-04-27 10:14:37 EDT
libreport version: 2.0.8
abrt_version:   2.0.7
cmdline:        BOOT_IMAGE=/vmlinuz-3.3.2-6.fc16.x86_64 root=/dev/mapper/VolGroup-lv_root ro rd.md=0 rd.dm=0 rd.lvm.lv=VolGroup/lv_swap KEYTABLE=us quiet SYSFONT=latarcyrheb-sun16 rhgb rd.lvm.lv=VolGroup/lv_root rd.luks=0 LANG=en_US.UTF-8
kernel:         3.3.2-6.fc16.x86_64
reason:         BUG: soft lockup - CPU#3 stuck for 22s! [kworker/3:1:3092]
time:           Fri 27 Apr 2012 08:53:27 AM CDT

backtrace:
:BUG: soft lockup - CPU#3 stuck for 22s! [kworker/3:1:3092]
:Modules linked in: tcp_lp fuse lockd ip6t_REJECT nf_conntrack_ipv6 nf_defrag_ipv6 nf_conntrack_ipv4 nf_defrag_ipv4 xt_state ip6table_filter nf_conntrack ip6_tables snd_hda_codec_hdmi snd_hda_codec_realtek snd_hda_intel snd_hda_codec snd_hwdep snd_seq snd_seq_device snd_pcm snd_timer snd usblp r8169 ppdev soundcore sp5100_tco edac_core mii snd_page_alloc edac_mce_amd asus_atk0110 parport_pc parport k10temp fam15h_power i2c_piix4 microcode sunrpc uinput ata_generic pata_acpi pata_atiixp wmi usb_storage radeon ttm drm_kms_helper drm i2c_algo_bit i2c_core [last unloaded: scsi_wait_scan]
:CPU 3 
:Modules linked in: tcp_lp fuse lockd ip6t_REJECT nf_conntrack_ipv6 nf_defrag_ipv6 nf_conntrack_ipv4 nf_defrag_ipv4 xt_state ip6table_filter nf_conntrack ip6_tables snd_hda_codec_hdmi snd_hda_codec_realtek snd_hda_intel snd_hda_codec snd_hwdep snd_seq snd_seq_device snd_pcm snd_timer snd usblp r8169 ppdev soundcore sp5100_tco edac_core mii snd_page_alloc edac_mce_amd asus_atk0110 parport_pc parport k10temp fam15h_power i2c_piix4 microcode sunrpc uinput ata_generic pata_acpi pata_atiixp wmi usb_storage radeon ttm drm_kms_helper drm i2c_algo_bit i2c_core [last unloaded: scsi_wait_scan]
:Pid: 3092, comm: kworker/3:1 Tainted: G        W    3.3.2-6.fc16.x86_64 #1 System manufacturer System Product Name/M5A88-M
:RIP: 0010:[<ffffffffa023682e>]  [<ffffffffa023682e>] rtl8169_hw_reset+0x7e/0xe0 [r8169]
:RSP: 0018:ffff8801bf277dc0  EFLAGS: 00000202
:RAX: 000000002f900680 RBX: ffffffffffffff02 RCX: 0000000057d94e29
:RDX: 0000000000050a58 RSI: ffff88021eddb4f8 RDI: 0000000000050900
:RBP: ffff8801bf277dd0 R08: ffff88021eddb500 R09: 0000000000000002
:R10: 0000000000000000 R11: 0000000000000000 R12: ffff88021eddb4f8
:R13: 00000000000010ca R14: 0000000057c99b18 R15: 000010ca57c99b18
:FS:  00007ff8f0e57880(0000) GS:ffff88022ecc0000(0000) knlGS:00000000f12ffb40
:CS:  0010 DS: 0000 ES: 0000 CR0: 000000008005003b
:CR2: 00007ff8ed7b8000 CR3: 0000000001c05000 CR4: 00000000000406e0
:DR0: 0000000000000000 DR1: 0000000000000000 DR2: 0000000000000000
:DR3: 0000000000000000 DR6: 00000000ffff0ff0 DR7: 0000000000000400
:Process kworker/3:1 (pid: 3092, threadinfo ffff8801bf276000, task ffff8801ce530000)
:Stack:
: ffff88021edda000 ffff88021edda780 ffff8801bf277e00 ffffffffa023cfc7
: ffff88021e5e9280 ffff88022ecce100 ffff88022ecd7200 ffffffffa023cf80
: ffff8801bf277e70 ffffffff810747ae ffff8801bf277fd8 ffff88021eddb500
:Call Trace:
: [<ffffffffa023cfc7>] rtl8169_reset_task+0x47/0x130 [r8169]
: [<ffffffffa023cf80>] ? rtl8169_wait_for_quiescence+0xd0/0xd0 [r8169]
: [<ffffffff810747ae>] process_one_work+0x11e/0x470
: [<ffffffff810755bf>] worker_thread+0x15f/0x360
: [<ffffffff81075460>] ? manage_workers+0x230/0x230
: [<ffffffff81079da3>] kthread+0x93/0xa0
: [<ffffffff815fd5a4>] kernel_thread_helper+0x4/0x10
: [<ffffffff81079d10>] ? kthread_freezable_should_stop+0x70/0x70
: [<ffffffff815fd5a0>] ? gs_change+0x13/0x13
:Code: 37 83 ca 80 88 50 37 4c 8d 60 40 8b 40 40 f6 c4 08 75 1d 66 2e 0f 1f 84 00 00 00 00 00 bf bc 8d 06 00 e8 46 6c 09 e1 41 8b 04 24 <f6> c4 08 74 ed 48 89 df e8 25 ff ff ff 5b 41 5c 5d c3 4c 8d 60 

smolt_data:
:
:
:General
:=================================
:UUID: 88772edc-baf1-4760-8a3e-1d41e0c12b22
:OS: Fedora release 16 (Verne)
:Default run level: Unknown
:Language: en_US.utf8
:Platform: x86_64
:BogoMIPS: 6599.78
:CPU Vendor: AuthenticAMD
:CPU Model: AMD FX(tm)-6100 Six-Core Processor
:CPU Stepping: 2
:CPU Family: 21
:CPU Model Num: 1
:Number of CPUs: 6
:CPU Speed: 3300
:System Memory: 7970
:System Swap: 10015
:Vendor: System manufacturer
:System: System Product Name System Version
:Form factor: Desktop
:Kernel: 3.3.2-6.fc16.x86_64
:SELinux Enabled: 1
:SELinux Policy: targeted
:SELinux Enforce: Enforcing
:MythTV Remote: Unknown
:MythTV Role: Unknown
:MythTV Theme: Unknown
:MythTV Plugin: 
:MythTV Tuner: -1
:
:
:Devices
:=================================
:(4098:17296:4163:33859) pci, ahci, STORAGE, SB7x0/SB8x0/SB9x0 SATA Controller [IDE mode]
:(4130:38407:4163:33854) pci, pcieport, PCI/PCI, RS780 PCI to PCI bridge (PCIE port 3)
:(4130:38409:4163:33854) pci, pcieport, PCI/PCI, RS780/RS880 PCI to PCI bridge (PCIE port 5)
:(4098:43672:4163:43672) pci, snd_hda_intel, MULTIMEDIA, NI Caicos HDMI Audio [AMD RADEON HD 6450]
:(4130:38401:4163:33854) pci, None, HOST/PCI, M5A88-V EVO
:(4130:5637:0:0) pci, None, HOST/PCI, Family 15h Processor Function 5
:(4130:5636:0:0) pci, fam15h_power, HOST/PCI, Family 15h Processor Function 4
:(4130:5633:0:0) pci, None, HOST/PCI, Family 15h Processor Function 1
:(4130:5632:0:0) pci, None, HOST/PCI, Family 15h Processor Function 0
:(4130:5635:0:0) pci, k10temp, HOST/PCI, Family 15h Processor Function 3
:(4130:5634:0:0) pci, None, HOST/PCI, Family 15h Processor Function 2
:(4098:17302:4163:33859) pci, ehci_hcd, USB, M5A88-V EVO
:(4098:17303:4163:33859) pci, ohci_hcd, USB, M5A88-V EVO
:(4130:38403:4163:33854) pci, pcieport, PCI/PCI, RS780 PCI to PCI bridge (ext gfx port 0)
:(4332:33128:4163:33842) pci, r8169, ETHERNET, P8P67 Deluxe Motherboard [Realtek RTL8111E]
:(4098:17308:4163:33859) pci, pata_atiixp, STORAGE, SB7x0/SB8x0/SB9x0 IDE Controller
:(4098:17285:0:0) pci, None, SERIAL, SBx00 SMBus Controller
:(4098:17309:4163:33859) pci, None, PCI/ISA, M5A88-V EVO
:(4098:17283:4163:33819) pci, snd_hda_intel, MULTIMEDIA, M5A88-V EVO
:(4098:17305:4163:33859) pci, ohci_hcd, USB, M5A88-V EVO
:(4098:17284:0:0) pci, None, PCI/PCI, SBx00 PCI to PCI Bridge
:(4098:17302:4163:33859) pci, ehci_hcd, USB, M5A88-V EVO
:(4098:26489:4163:986) pci, radeon, VIDEO, NI Caicos [AMD RADEON HD 6450]
:(4098:17303:4163:33859) pci, ohci_hcd, USB, M5A88-V EVO
:(4098:17302:4163:33859) pci, ehci_hcd, USB, M5A88-V EVO
:(4098:17303:4163:33859) pci, ohci_hcd, USB, M5A88-V EVO
:(6945:4162:4163:33928) pci, xhci_hcd, USB, ASM1042 SuperSpeed USB Host Controller
:
:
:Filesystem Information
:=================================
:device mtpt type bsize frsize blocks bfree bavail file ffree favail
:-------------------------------------------------------------------
:/dev/mapper/VolGroup-lv_root / ext4 4096 4096 13081819 9250840 8595480 3276800 2932261 2932261
:/dev/sda1 /boot ext4 1024 1024 508745 410140 384540 128016 127782 127782
:/dev/mapper/VolGroup-lv_home /home ext4 4096 4096 23229254 21644643 20481379 5816320 5808302 5808302
:
Comment 1 Dave Jones 2012-05-07 15:25:35 EDT
The network chip stopped talking to us when we told it to reset.

Judging from this, and the other bugs, I think you have serious hardware problems with this machine.  There's nothing we can do here.

Note You need to log in before you can comment on or make changes to this bug.